# Claims

## GET /i2/claims/

> CLM001: Get Claims

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset.","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Specifies the row count of the current page.","schema":{"type":"integer","minimum":1,"default":10}},"updated_at":{"name":"updated_at","description":"Filters data where the \"updated_at\" field is exactly equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__gte":{"name":"updated_at__gte","description":"Filters data where the \"updated_at\" field is greater than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__lte":{"name":"updated_at__lte","description":"Filters data where the \"updated_at\" field is less than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at":{"name":"created_at","description":"Filters data where the \"created_at\" field is exactly equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__gte":{"name":"created_at__gte","description":"Filters data where the \"created_at\" field is greater than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__lte":{"name":"created_at__lte","description":"Filters data where the \"created_at\" field is less than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}}},"schemas":{"_Pagination":{"type":"object","properties":{"count":{"type":"integer","description":"Indicates the number of objects that match the criteria specified in the request."},"next":{"type":"string","format":"uri","description":"Indicates the next page URL that points to the location of the next set of results."},"previous":{"type":"string","format":"uri","description":"Indicates the previous page URL that points to the location of the next set of results."}}},"_Claim":{"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the claim."},"package_item":{"type":"string","description":"Unique identifier for the associated package item in the claim."},"order_item":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the associated order item in the claim."},"remote_id":{"type":"string","description":"Unique identifier for the associated order item in the data source system."}}},"product":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product in the claim."},"reason":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the claim reason."},"subject":{"type":"string","description":"Subject or title of the claim reason."},"translations":{"type":"object","description":"Translations for the claim reason."}}},"detail":{"type":"string","description":"Additional details or comments providing more context for the claim."},"return_code":{"type":"string","description":"Unique identifier for the return associated with the claim."},"shipping_company":{"type":"string","description":"Slug of the shipping company handling the return shipment associated with the claim."},"return_tracking_number":{"type":"string","description":"Tracking number for monitoring the return shipment associated with the claim."},"return_tracking_url":{"type":"string","format":"uri","description":"URL for tracking the return shipment associated with the claim."},"type":{"type":"string","enum":["cancel","refund"],"description":"Type of claim, either 'cancel' or 'refund'."},"cancelled_by":{"type":"integer","enum":[1,2],"description":"Indicates who initiated the cancellation/refund claim.\n- `1`: Customer\n- `2`: Seller\n"},"status":{"type":"string","enum":["open","waiting","approved","rejected","completed"],"description":"Status of the claim:\n- `open`: The claim is open.\n- `waiting`: The claim is waiting for approval.\n- `approved`: The claim has been approved.\n- `rejected`: The claim has been rejected.\n- `completed`: The claim has been completed.\n"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the claim was last updated."},"created_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the claim was created."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/claims/":{"get":{"tags":["Claims"],"operationId":"CLM001","summary":"CLM001: Get Claims","parameters":[{"$ref":"#/components/parameters/language"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"in":"query","name":"type","schema":{"type":"string","enum":["cancel","refund"],"description":"Filters the claims by type."}},{"in":"query","name":"cancelled_by","schema":{"type":"integer","enum":[1,2],"description":"Filters the claims by who initiated the cancellation.\n- `1`: Customer\n- `2`: Seller\n"}},{"in":"query","name":"status","schema":{"type":"string","enum":["open","waiting","approved","rejected","completed"],"description":"Filters the claims by status. Possible values are:\n- `open`: The claim is open.\n- `waiting`: The claim is waiting for approval.\n- `approved`: The claim has been approved.\n- `rejected`: The claim has been rejected.\n- `completed`: The claim has been completed.\n"}},{"in":"query","name":"status__in","schema":{"type":"array","uniqueItems":true,"collectionFormat":"csv","items":{"type":"string"},"description":"Multiple values can be provided with a comma-separated list.\nFilters the claims by status. Possible values are:\n- `open`: The claim is open.\n- `waiting`: The claim is waiting for approval.\n- `approved`: The claim has been approved.\n- `rejected`: The claim has been rejected.\n- `completed`: The claim has been completed.\n"}},{"$ref":"#/components/parameters/updated_at"},{"$ref":"#/components/parameters/updated_at__gte"},{"$ref":"#/components/parameters/updated_at__lte"},{"$ref":"#/components/parameters/created_at"},{"$ref":"#/components/parameters/created_at__gte"},{"$ref":"#/components/parameters/created_at__lte"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/_Pagination"},{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/_Claim"}}}}]}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## POST /i2/claims/{id}/approve/

> CLM002: Approve Claim

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"responses":{"400":{"description":"Missing required field(s), invalid data or invalid action.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates the absence of the {field} in the request data.","items":{"type":"string"}},{"type":"array","description":"Indicates the non-existent object usage for the {field} in the request data.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates the invalid data/action usage in the request data.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Indicates the detailed message of the given error.","type":"string"},"code":{"type":"string","description":"Represents server-side error code."}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"404":{"description":"Given resource or object is not found or available.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Includes detailed explanation of the error.","type":"string"}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/claims/{id}/approve/":{"post":{"tags":["Claims"],"operationId":"CLM002","summary":"CLM002: Approve Claim","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid","description":"Unique identifier for the claim."}},{"$ref":"#/components/parameters/language"}],"responses":{"204":{"description":"No Content"},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## POST /i2/claims/{id}/reject/

> CLM003: Reject Claim

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_RejectClaimRequest":{"properties":{"reason":{"type":"string","description":"Reason for rejecting the claim."},"images":{"type":"array","items":{"type":"string","format":"uri","description":"URL for the image associated with the claim."}}},"required":["reason"]}},"responses":{"400":{"description":"Missing required field(s), invalid data or invalid action.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates the absence of the {field} in the request data.","items":{"type":"string"}},{"type":"array","description":"Indicates the non-existent object usage for the {field} in the request data.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates the invalid data/action usage in the request data.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Indicates the detailed message of the given error.","type":"string"},"code":{"type":"string","description":"Represents server-side error code."}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"404":{"description":"Given resource or object is not found or available.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Includes detailed explanation of the error.","type":"string"}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/claims/{id}/reject/":{"post":{"tags":["Claims"],"operationId":"CLM003","summary":"CLM003: Reject Claim","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid","description":"Unique identifier for the claim."}},{"$ref":"#/components/parameters/language"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/_RejectClaimRequest"}}}},"responses":{"204":{"description":"No Content"},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GET /i2/claim-reasons/

> CLM004: Get Claim Reasons

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset.","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Specifies the row count of the current page.","schema":{"type":"integer","minimum":1,"default":10}}},"schemas":{"_Pagination":{"type":"object","properties":{"count":{"type":"integer","description":"Indicates the number of objects that match the criteria specified in the request."},"next":{"type":"string","format":"uri","description":"Indicates the next page URL that points to the location of the next set of results."},"previous":{"type":"string","format":"uri","description":"Indicates the previous page URL that points to the location of the next set of results."}}},"_ClaimReasons":{"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the claim reason."},"subject":{"type":"string","description":"Subject or title of the claim reason."},"translations":{"type":"object","description":"Translations for the claim reason."},"remote_id":{"type":"string","description":"Unique identifier for the claim reason in the data source system."},"type":{"type":"string","enum":["cancel","refund"],"description":"Type of claim reason, either 'cancel' or 'refund'."},"updated_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the claim was last updated."},"created_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the claim was created."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/claim-reasons/":{"get":{"tags":["Claims"],"operationId":"CLM004","summary":"CLM004: Get Claim Reasons","parameters":[{"$ref":"#/components/parameters/language"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/_Pagination"},{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/_ClaimReasons"}}}}]}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/seller-center/claims.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
